ITypeLib (JNA API)
Description: declaration: package: com.sun.jna.platform.win32.COM, interface: ITypeLib

Package com.sun.jna.platform.win32.COM

# Interface ITypeLib

All Superinterfaces:
  `IUnknown`

All Known Implementing Classes:
  `TypeLib`, `TypeLib.ByReference`

public interface ITypeLib extends IUnknown
Wrapper class for the ITypeLib interface.

Author:
  Tobias Wolf, wolf.tobias@gmx.net

- ## Field Summary

  ### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

  `IID_IUNKNOWN`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WinNT.HRESULT`
  `FindName(WTypes.LPOLESTR szNameBuf, WinDef.ULONG lHashVal, Pointer[] ppTInfo, OaIdl.MEMBERID[] rgMemId, WinDef.USHORTByReference pcFound)`
  `WinNT.HRESULT`
  `GetDocumentation(int index, WTypes.BSTRByReference pBstrName, WTypes.BSTRByReference pBstrDocString, WinDef.DWORDByReference pdwHelpContext, WTypes.BSTRByReference pBstrHelpFile)`
  `WinNT.HRESULT`
  `GetLibAttr(PointerByReference ppTLibAttr)`
  `WinNT.HRESULT`
  `GetTypeComp(PointerByReference ppTComp)`
  `WinNT.HRESULT`
  `GetTypeInfo(WinDef.UINT index, PointerByReference pTInfo)`
  `WinDef.UINT`
  `GetTypeInfoCount()`
  `WinNT.HRESULT`
  `GetTypeInfoOfGuid(Guid.GUID guid, PointerByReference pTinfo)`
  `WinNT.HRESULT`
  `GetTypeInfoType(WinDef.UINT index, OaIdl.TYPEKIND.ByReference pTKind)`
  `WinNT.HRESULT`
  `IsName(WTypes.LPOLESTR szNameBuf, WinDef.ULONG lHashVal, WinDef.BOOLByReference pfName)`
  `void`
  `ReleaseTLibAttr(OaIdl.TLIBATTR pTLibAttr)`

  ### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

  `AddRef, QueryInterface, Release`

- ## Method Details

  - ### GetTypeInfoCount

    WinDef.UINT GetTypeInfoCount()

  - ### GetTypeInfo

    WinNT.HRESULT GetTypeInfo(WinDef.UINT index, PointerByReference pTInfo)

  - ### GetTypeInfoType

    WinNT.HRESULT GetTypeInfoType(WinDef.UINT index, OaIdl.TYPEKIND.ByReference pTKind)

  - ### GetTypeInfoOfGuid

    WinNT.HRESULT GetTypeInfoOfGuid(Guid.GUID guid, PointerByReference pTinfo)

  - ### GetLibAttr

    WinNT.HRESULT GetLibAttr(PointerByReference ppTLibAttr)

  - ### GetTypeComp

    WinNT.HRESULT GetTypeComp(PointerByReference ppTComp)

  - ### GetDocumentation

    WinNT.HRESULT GetDocumentation(int index, WTypes.BSTRByReference pBstrName, WTypes.BSTRByReference pBstrDocString, WinDef.DWORDByReference pdwHelpContext, WTypes.BSTRByReference pBstrHelpFile)

  - ### IsName

    WinNT.HRESULT IsName(WTypes.LPOLESTR szNameBuf, WinDef.ULONG lHashVal, WinDef.BOOLByReference pfName)

  - ### FindName

    WinNT.HRESULT FindName(WTypes.LPOLESTR szNameBuf, WinDef.ULONG lHashVal, Pointer[] ppTInfo, OaIdl.MEMBERID[] rgMemId, WinDef.USHORTByReference pcFound)

  - ### ReleaseTLibAttr

    void ReleaseTLibAttr(OaIdl.TLIBATTR pTLibAttr)